namespace Tinkerforge
{
    public static class EIndustrialDualAnalogIn
    {
        public static (int[] Offset, int[] Gain) GetCalibration(this BrickletIndustrialDualAnalogIn analogIn)
        {
            analogIn.GetCalibration(out int[] offset, out int[] gain);
            return (offset, gain);
        }

        public static (byte Channel, char Option, int Min, int Max) GetVoltageCallbackThreshold(
            this BrickletIndustrialDualAnalogIn analogIn, byte channel)
        {
            analogIn.GetVoltageCallbackThreshold(channel, out char option, out int min, out int max);
            return (channel, option, min, max);
        }
    }
}
